Outils pour utilisateurs

Outils du site


electronique:ioio-otg

IOIO-OTG

1er pas, 1ers problèmes

Error updateLastError() for com.sun.jna.Native

En exécutant la commande

$ ./ioiodude --port=/dev/IOIO0 versions

j'obtiens cette erreur :

Exception in thread "main" java.lang.UnsatisfiedLinkError: Can't obtain updateLastError method for class com.sun.jna.Native
at com.sun.jna.Native.initIDs(Native Method)
at com.sun.jna.Native.<clinit>(Native.java:139)
at com.sun.jna.NativeLong.<clinit>(NativeLong.java:23)
at jtermios.linux.JTermiosImpl.<clinit>(JTermiosImpl.java:71)
at jtermios.JTermios.<clinit>(JTermios.java:289)
at purejavacomm.CommPortIdentifier.getPortIdentifier(CommPortIdentifier.java:101)
at ioio.dude.SerialPortIOIOConnection.waitForConnect(Unknown Source)
at ioio.dude.IOIODudeMain.connect(Unknown Source)
at ioio.dude.IOIODudeMain.main(Unknown Source)

La solution que j'ai trouvé, sur la liste ioio-users c'est de désinstaller la bibliothèque “libjna-java”:

sudo apt-get autoremove libjna-java

Mettre à jour le firmware de la IOIO-OTG

D'origine j'ai:

$ ./ioiodude --port=/dev/IOIO0 versions
IOIO Bootloader detected.

Hardware version: SPRK0020
Bootloader version: IOIO0400
Platform version: IOIO0030

Programmation du firmware App-IOIO0500:

$ ./ioiodude --port=/dev/IOIO0 --reset write App-IOIO0500.ioioapp 
Comparing fingerprints...
Fingerprint mismatch.
Writing image...
[########################################]
Writing fingerprint...
Done.

Et voilà la version 5 installée:

$ ./ioiodude --port=/dev/IOIO0 versions
IOIO Application detected.

Hardware version: SPRK0020
Bootloader version: IOIO0400
Application version: IOIO0500
electronique/ioio-otg.txt · Dernière modification: 07/12/2015 20:33 par cyrille